version: 26.4.2
files:
  - url: Trezor-Suite-26.4.2-linux-arm64.AppImage
    sha512: mE+mzMKAD0NrP2QI5Zc9yEH9vjC6e2cQjzK/CW5Q5FXUg6bGC+uy5fJhxM7Q00YPcNwnoD/vP/qltIa+Y5F8wg==
    size: 182653290
    blockMapSize: 191670
path: Trezor-Suite-26.4.2-linux-arm64.AppImage
sha512: mE+mzMKAD0NrP2QI5Zc9yEH9vjC6e2cQjzK/CW5Q5FXUg6bGC+uy5fJhxM7Q00YPcNwnoD/vP/qltIa+Y5F8wg==
releaseNotes: |
  ### 🚀 New features

  - Released Suite Sync for secure cross-device data syncing.
  - Trading is now globally accessible with a unified Buy/Sell/Swap interface and improved post-trade experience.
  - Added an OTC/Concierge trading option on desktop for large trades.
  - WalletConnect support for Stellar.
  - Enhanced phishing transaction protection with configurable dust detection for suspicious transactions.

  ### 🎨 Improvements

  - Improved trading experience with better forms, warnings, and layout updates.
  - Better accuracy for fees, Solana staking provider info, and Cardano transaction export.
  - Ongoing UI/UX refinements, including QR scanning and transaction detail improvements.

  ### 🔧 Bug fixes

  - Fixed Suite Sync tooltip, and possibility to enable legacy labelling.
  - Fixed device connectivity and reconnection issues.
  - Resolved multiple trading flow bugs and inconsistencies.
  - Addressed issues in onboarding.
  - General bug fixes and performance improvements.
releaseDate: '2026-04-20T14:57:45.953Z'
stagingPercentage: 20
